﻿using InnoLabProjektDektopApp.Services;
using InnoLabProjektDektopApp.Services.WebSocketServer;
using InnoLabProjektDektopApp.Utils;
using System.Configuration;
using System.Data;
using System.Windows;

namespace InnoLabProjektDektopApp
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private readonly NotifyIconManager _notifyIconManager = new();

        private static ProcessMonitor _processMonitor = new();

        internal static ProcessMonitor GetProcessMonitor()
        {
            return _processMonitor;
        }

        public App()
        {

        }
        

        protected override void OnStartup(StartupEventArgs e)
        {
            _notifyIconManager.Initialize();
            base.OnStartup(e);
            var server = Server.Instance;
        }

        protected override void OnExit(ExitEventArgs e)
        {
            _notifyIconManager.Dispose();
            base.OnExit(e);
        }

    }

}
