﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Fleck;

namespace InnoLabProjektDektopApp.Services.WebSocketServer
{
    class Server
    {
        private static Server instance = null;
        private Fleck.WebSocketServer server;
        private List<IWebSocketConnection> clients = new List<IWebSocketConnection>();

        private Server()
        {
            Console.WriteLine("Server Construction");

            server = new Fleck.WebSocketServer("ws://127.0.0.1:8080");

            server.Start(socket =>
            {
                socket.OnOpen = () =>
                {
                    Console.WriteLine("Client verbunden");
                    clients.Add(socket);
                };

                socket.OnClose = () =>
                {
                    Console.WriteLine("Client getrennt");
                    clients.Remove(socket);
                };

                socket.OnMessage = message =>
                {
                    Console.WriteLine($"Empfangen: {message}");
                    socket.Send("Hallo vom Server");
                };

                
            });
        }

        public void SendMessageToAllClients(string message)
        {
            foreach (var client in clients)
            {
                client.Send(message);
            }
        }


        // Öffentliche statische Methode, um auf die Instanz des Servers zuzugreifen
        public static Server Instance
        {
            get
            {
                // Wenn noch keine Instanz existiert, wird sie erzeugt
                if (instance == null)
                {
                    instance = new Server();
                }
                return instance;
            }
        }
    }
}
