﻿using System.Windows;

namespace InnoLabProjektDektopApp.Utils
{
    /// <summary>
    /// Interaction logic for InputDialog.xaml
    /// </summary>
    public partial class InputDialog : Window
    {
        public string Input { get; private set; }

        public InputDialog(string prompt, string defaultValue = "")
        {
            InitializeComponent();
            PromptText.Text = prompt; // Ensure XAML has a TextBlock named PromptText
            InputTextBox.Text = defaultValue; // Ensure XAML has a TextBox named InputTextBox
            InputTextBox.Focus();
        }

        private void OK_Click(object sender, RoutedEventArgs e)
        {
            Input = InputTextBox.Text;
            DialogResult = true; // Sets DialogResult and allows the window to close
            Close();
        }

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false; // Indicates cancellation
            Close();
        }
    }
}
